//
// file :         sequencerthread.h
//
// description :  thread class
//
// project :      TANGO Device Server
//
// $Author: giulio $ 

// $Log: sequencerthread.h,v $

//
//
// copyleft :   Sincrotrone Trieste S.C.p.A.
//              Strada Statale 14 - km 163,5 in AREA Science Park
//              34012 Basovizza, Trieste ITALY
// 

#ifndef SEQUENCERTHREAD_H
#define SEQUENCERTHREAD_H

#include <omnithread.h>
#include <tango.h>
#include <CATSync.h>

namespace CATSync_ns
{

class sequencerthread : public omni_thread , public Tango::LogAdapter
{

	private:
		int index;  // Indice del thread
		CATSync_ns::CATSync *mycatsync;

	public:
		
		/* sequencerthread::sequencerthread(): initialize init loop */
		sequencerthread(CATSync_ns::CATSync *s, int idx) : Tango::LogAdapter(s) {index = idx; mycatsync = s; };
		
		/* sequencerthread::~vnthread(): object destructor */
		~sequencerthread() {};
					
	protected:
		/* sequencerthread::run():	start init loop */
		void run(void *);	
		
};	/* end class sequencerthread() */

}

#endif

/* EOF */
