//
// file :         matchthread.h
//
// description :  thread class
//
// project :      TANGO Device Server
//
// $Author: giulio $ 

// $Log: matchthread.h,v $

//
//
// copyleft :   Sincrotrone Trieste S.C.p.A.
//              Strada Statale 14 - km 163,5 in AREA Science Park
//              34012 Basovizza, Trieste ITALY
// 

#ifndef MATCHTHREAD_H
#define MATCHTHREAD_H

#include <omnithread.h>
#include <tango.h>
#include <CATSync.h>

namespace CATSync_ns
{

class matchthread : public omni_thread , public Tango::LogAdapter
{

	private:
		int thread_index;  // Indice del thread
		CATSync_ns::CATSync *mycatsync;

	public:
		/* matchthread::matchthread(): initialize init loop */
		matchthread(CATSync_ns::CATSync *s, int index) : Tango::LogAdapter(s) { thread_index = index; mycatsync = s; };
		
		/* matchthread::~vnthread(): object destructor */
		~matchthread() {};
					
	protected:
		/* matchthread::run():	start init loop */
		void run(void *);	
		
};	/* end class matchthread() */

}

#endif

/* EOF */
